--[[============================================================================
main.lua
============================================================================]]--

-- Reload the script whenever this file is saved. 
-- Additionally, execute the attached function.
_AUTO_RELOAD_DEBUG = function()
  
end

require("movefunction")


local song

local function move_edit_step_zerotweak(dir)
  song = renoise.song()
  local e_step = song.transport.edit_step
  if e_step == 0 then
    --move one even if edit step IS 0)
    move_cursor(1 * dir)   
  else
    --move with edit step
    move_cursor(e_step * dir)
  end
end

--keybinds for up& down (evaluate trigger)
  --pass step
  --up:step = -1
  --dn:step = 1
renoise.tool():add_keybinding {
  name = "Pattern Editor:Navigation:Move to Prev.Row w/ EditStep (ZeroTweak)",
  invoke = function()
      move_edit_step_zerotweak(-1)
    end
}
renoise.tool():add_keybinding {
  name = "Pattern Editor:Navigation:Move to Next Row w/ EditStep (ZeroTweak)",
  invoke = function()
      move_edit_step_zerotweak(1)
    end
}

